BSONByteBuffer
Date: 2015-03-03

org.bson.io

## Class BSONByteBuffer

- java.lang.Object
- - org.bson.io.BSONByteBuffer

-     public class BSONByteBuffer
      extends java.lang.Object

  Pseudo byte buffer, delegates as it is too hard to properly override / extend the ByteBuffer API

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `array()`
    `boolean` | `equals(java.lang.Object o)`
    `java.nio.ByteBuffer` | `get(byte[] bytes)`
    `java.nio.ByteBuffer` | `get(byte[] bytes, int offset, int length)`
    `byte` | `get(int i)`
    `java.lang.String` | `getCString(int offset)`
    `int` | `getInt(int i)` Gets a Little Endian Integer
    `int` | `getIntBE(int i)`
    `int` | `getIntLE(int i)`
    `long` | `getLong(int i)`
    `java.lang.String` | `getUTF8String(int valueOffset)`
    `int` | `hashCode()`
    `java.nio.Buffer` | `position(int i)`
    `java.nio.Buffer` | `reset()`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `static BSONByteBuffer` | `wrap(byte[] bytes)`
    `static BSONByteBuffer` | `wrap(byte[] bytes, int offset, int length)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### wrap

          public static BSONByteBuffer wrap(byte[] bytes,
                            int offset,
                            int length)

    - #### wrap

          public static BSONByteBuffer wrap(byte[] bytes)

    - #### get

          public byte get(int i)

    - #### get

          public java.nio.ByteBuffer get(byte[] bytes,
                                int offset,
                                int length)

    - #### get

          public java.nio.ByteBuffer get(byte[] bytes)

    - #### array

          public byte[] array()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getInt

          public int getInt(int i)

      Gets a Little Endian Integer
      Parameters:
        `i` - Index to read from
      Returns:

    - #### getIntLE

          public int getIntLE(int i)

    - #### getIntBE

          public int getIntBE(int i)

    - #### getLong

          public long getLong(int i)

    - #### getCString

          public java.lang.String getCString(int offset)

    - #### getUTF8String

          public java.lang.String getUTF8String(int valueOffset)

    - #### position

          public java.nio.Buffer position(int i)

    - #### reset

          public java.nio.Buffer reset()

    - #### size

          public int size()